Bug 1969748 - Hammer documentation for "hammer organization create --help" command has unnecessary and repeated description
Summary: Hammer documentation for "hammer organization create --help" command has unne...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hammer
Version: 6.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: 6.11.0
Assignee: Oleh Fedorenko
QA Contact: Shweta Singh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-09 07:56 UTC by Shweta Singh
Modified: 2022-07-05 14:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-05 14:28:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32783 0 Normal New Hammer documentation for "hammer organization create --help" command has unnecessary and repeated description 2021-06-11 13:01:40 UTC
Red Hat Product Errata RHSA-2022:5498 0 None None None 2022-07-05 14:29:18 UTC

Description Shweta Singh 2021-06-09 07:56:19 UTC
Description of problem:

Hammer documentation for "hammer organization create --help" command has unnecessary and repeated description of "JSON is acceptable and preferred way for complex parameters" and "Comma separated list of values. Values containing comma should be quoted or escaped with backslash." for every option

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Execute command "hammer organization create --help"


Actual results:
Repeated and unnecessary description for every option like 
"Comma separated list of values. Values containing comma should be quoted or escaped with backslash.
JSON is acceptable and preferred way for complex parameters"

Expected results:
Only option specific description should be displayed.

Additional info:

Logs: 

hammer organization create --help
Usage:
    hammer organization create [OPTIONS]

Options:
 --compute-resource[s|-ids]                            Compute resource names/ids
                                                       Comma separated list of values. Values containing comma should be quoted or escaped with backslash.
                                                       JSON is acceptable and preferred way for complex parameters
 --description DESCRIPTION                              
 --domain[s|-ids]                                      Domain names/ids
                                                       Comma separated list of values. Values containing comma should be quoted or escaped with backslash.
                                                       JSON is acceptable and preferred way for complex parameters
 --environment[s|-ids]                                 Environment names/ids (--environment-ids is deprecated: Use --puppet-environment[s|-ids] instead)
                                                       Comma separated list of values. Values containing comma should be quoted or escaped with backslash.
                                                       JSON is acceptable and preferred way for complex parameters (Deprecated: Use --puppet-environment[s|-ids] instead)
 --hostgroup[s|-ids|-titles]                           Host group names/titles/ids
                                                       Comma separated list of values. Values containing comma should be quoted or escaped with backslash.
                                                       JSON is acceptable and preferred way for complex parameters

Comment 1 Oleh Fedorenko 2021-06-11 13:01:38 UTC
Created redmine issue https://projects.theforeman.org/issues/32783 from this bug

Comment 2 Bryan Kearney 2021-07-07 16:05:39 UTC
Upstream bug assigned to ofedoren

Comment 3 Bryan Kearney 2021-07-07 16:05:43 UTC
Upstream bug assigned to ofedoren

Comment 4 Bryan Kearney 2021-08-10 12:05:22 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/32783 has been resolved.

Comment 6 Shweta Singh 2022-01-31 07:20:39 UTC
FailedQA

I was able to reproduce the issue on Satellite 7.0 Snap 6 for the hammer commands in "Options details" section of the command.

Expected output:
Command options should have relevant descriptions only.

Actual Output:

hammer organization create --help
Usage:
    hammer organization create [OPTIONS]

Options:
 --compute-resource[s|-ids] LIST                Compute resource names/ids
 --description VALUE                             
 --domain[s|-ids] LIST                          Domain names/ids
 --environment-ids LIST                         Environment ids
 --hostgroup[s|-ids|-titles] LIST               Host group names/titles/ids
 --label VALUE                                   
 --location[-id|-title] VALUE/NUMBER            Set the current location context for the request
 --location[s|-ids|-titles] LIST                Associated location names/titles/ids
 --medi[a|um-ids] LIST                          Medium names/ids
 --name VALUE                                    
 --organization[-id|-title|-label] VALUE/NUMBER Set the current organization context for the request
 --partition-table[s|-ids] LIST                 Partition template names/ids
 --provisioning-template[s|-ids] LIST           Provisioning template names/ids
 --realm[s|-ids] LIST                           Realm names/ids
 --smart-prox[ies|y-ids] LIST                   Capsule names/ids
 --subnet[s|-ids] LIST                          Subnet names/ids
 --user[s|-ids] LIST                            User logins/ids
 -h, --help                                     Print help

Option details:
  Here you can find option types and the value an option can accept:

  BOOLEAN             One of true/false, yes/no, 1/0
  DATETIME            Date and time in YYYY-MM-DD HH:MM:SS or ISO 8601 format
  ENUM                Possible values are described in the option's description
  FILE                Path to a file
  KEY_VALUE_LIST      Comma-separated list of key=value.
                      JSON is acceptable and preferred way for such parameters
  LIST                Comma separated list of values. Values containing comma should be quoted or escaped with backslash.
                      JSON is acceptable and preferred way for such parameters
  MULTIENUM           Any combination of possible values described in the option's description
  NUMBER              Numeric value. Integer
  SCHEMA              Comma separated list of values defined by a schema.
                      JSON is acceptable and preferred way for such parameters
  VALUE               Value described in the option's description. Mostly simple string

Comment 7 Oleh Fedorenko 2022-01-31 11:52:20 UTC
Hi Shweta,

Could you please elaborate why is this FailedQA exactly? I'd agree that previously we had a lot of repeated descriptions, but now they have been extracted to an additional section with descriptions for accepted values. The option semantics are only shown in the option description itself (such as "Set the current organization context for the request"), but users also need to now the "syntax" (such as comma separated list of values defined by a schema). We left "JSON is acceptable and preferred way for such parameters" notification, so we don't need an additional section for that with list of the supported option types.

From our perspective there nothing more needs to be changed in this regard.

Comment 8 Shweta Singh 2022-01-31 13:30:05 UTC
Thanks for clarifying Oleh. I wish we could make it look little less repetitive but otherwise looks good to verify this issue.

Verified this issue Satellite 7.0 Snap 6.

Comment 11 errata-xmlrpc 2022-07-05 14:28:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.11 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5498


Note You need to log in before you can comment on or make changes to this bug.